## -*- coding: utf-8-unix -*-
## NOTE: This spec file is generated by tlpdb2rpmspec 2009-3: 
## tlpdb2rpmspec collection-binextra

%bcond_with firstbuild

%define tex_destdir	%{_datadir}
%define texmf		%{tex_destdir}/texmf
%define texlive_src	%{tex_destdir}/texlive-sources
%define build_tex_destdir	%{buildroot}%{tex_destdir}
%define build_texmf	%{buildroot}%{texmf}

%define exec_mktexlsr  [ -x %{_bindir}/texconfig-sys ] && PATH=%{_bindir}:$PATH %{_bindir}/texconfig-sys rehash
%define exec_texhash  [ -x %{_bindir}/texhash ] && PATH=%{_bindir}:$PATH %{_bindir}/texhash
%define exec_updmap   [ -x %{_bindir}/updmap-sys ] && PATH=%{_bindir}:$PATH %{_bindir}/updmap-sys --nostop
%define exec_fmtutil  [ -x %{_bindir}/fmtutil-sys ] && PATH=%{_bindir}:$PATH %{_bindir}/fmtutil-sys --all >/dev/null 2>&1
%define exec_upddeffont    [ -x %{_sbindir}/update-defaultfont ] && %{_sbindir}/update-defaultfont 2> /dev/null
%define vartexfonts %{_var}/lib/texmf

%define __find_provides	%{nil}
%define __find_requires	%{nil}
%define __perl_provides	%{nil}
%define __perl_requires	%{nil}

Autoreq: 0

Summary: TeX Live: TeX auxiliary programs
Summary(ja): TeX Live: TeX auxiliary programs
Name: texlive-collection-binextra
Version: 2009
Release: 3%{?_dist_release}
License: GPL+, LGPLv2+, Knuth, Freely redistributable without restriction, Public Domain, No Info, LPPL, Artistic
Group: Applications/Publishing
URL:http://www.tug.org/texlive/

Requires: texlive = %{version}
Requires: texlive-collection-basic = %{version}

Requires(post):		texlive = %{version}
Requires(postun):	texlive = %{version}
BuildRequires:		texlive-sources = %{version}

BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	munepi

%description
The TeX Live software distribution offers a complete TeX system for a
variety of Unix, Macintosh, Windows and other platforms. It
encompasses programs for editing, typesetting, previewing and printing
of TeX documents in many different languages, and a large collection
of TeX macros and font libraries.

The distribution includes extensive general documentation about TeX,
as well as the documentation for the included software packages.

This package is a collection of TeX auxiliary programs: 
Various useful, but non-essential, support programs. Includes
programs and macros for DVI file manipulation, literate
programming, patgen, and the TeX Works Editor.

This package contains the following CTAN packages: 
a2ping: Advanced PS, PDF, EPS converter.
asymptote: 2D and 3D TeX-Aware Vector Graphics Language.
bibtex8: A fully 8-bit adaptation of BibTeX 0.99.
ctie: 
cweb: A Web system in C.
detex: Strip TeX from a source file.
dtl: Tools to dis-assemble and re-assemble DVI files.
dvi2tty: Produce ASCII from DVI.
dviasm: A utility for editing DVI files.
dvicopy: Copy DVI files, flattening VFs.
dvidvi: Convert one DVI file into another.
dviljk: DVI to Laserjet output.
dvipng: A fast DVI to PNG/GIF converter.
dvipos: 
findhyph: Find hyphenated words in a document.
fragmaster: Using psfrag with PDFLaTeX.
getnonfreefonts: 
hyphenex: Generate a hyphenation exceptions file.
lacheck: LaTeX checker.
latex2man: Translate LaTeX-based manual pages into Unix man format.
latexmk: Fully automated LaTeX document generation routine.
listings-ext: Automated input of source.
mkind-english: 
mkjobtexmf: Generate a texmf tree for a particular job.
patgen: 
pdfcrop: Crop PDF graphics.
pdftools: PDF-related utilities, including PostScript-to-PDF conversion
pkfix: Replace pk fonts in PostScript with Type 1 fonts.
pkfix-helper: Make PostScript files accessible to pkfix.
purifyeps: Make EPS work with both LaTeX/dvips and pdfLaTeX.
seetexk: Utiities for manipulating DVI files.
synctex: 
texcount: Count words in a LaTeX document.
texdiff: Compare documents and produce tagged merge.
texdirflatten: Collect files related to a LaTeX job in a single directory.
texdoc: Documentation access for TeX distributions.
texloganalyser: Analyse TeX logs.
texware: Utility programs for use with TeX.
tie: Allow multiple web change files.
tpic2pdftex: Use tpic commands in PDFTeX.
web: original web programs tangle and weave
xindy: A general-purpose index processor.

%description -l ja
TeX Live ソフトウェアディストリビューションは、
さまざまな Unix, Macintosh, Windows、および
他のプラットホームに対して完全な TeX システムを提供します。
多くの異なった言語を含む TeX ドキュメントの
編集、組版、閲覧、印刷するためのプログラム、
そして、TeX マクロやフォントライブラリの大きなコレクションを
同梱しています。

このディストリビューションは
同梱しているソフトウェアパッケージのためのドキュメントばかりでなく、
TeX に関するたくさんの一般的なドキュメントを含んでいます。

このパッケージは以下のようなパッケージ集です。
TeX auxiliary programs: 
Various useful, but non-essential, support programs. Includes
programs and macros for DVI file manipulation, literate
programming, patgen, and the TeX Works Editor.

このパッケージは以下の CTAN パッケージを含んでいます： 
a2ping: Advanced PS, PDF, EPS converter.
asymptote: 2D and 3D TeX-Aware Vector Graphics Language.
bibtex8: A fully 8-bit adaptation of BibTeX 0.99.
ctie: 
cweb: A Web system in C.
detex: Strip TeX from a source file.
dtl: Tools to dis-assemble and re-assemble DVI files.
dvi2tty: Produce ASCII from DVI.
dviasm: A utility for editing DVI files.
dvicopy: Copy DVI files, flattening VFs.
dvidvi: Convert one DVI file into another.
dviljk: DVI to Laserjet output.
dvipng: A fast DVI to PNG/GIF converter.
dvipos: 
findhyph: Find hyphenated words in a document.
fragmaster: Using psfrag with PDFLaTeX.
getnonfreefonts: 
hyphenex: Generate a hyphenation exceptions file.
lacheck: LaTeX checker.
latex2man: Translate LaTeX-based manual pages into Unix man format.
latexmk: Fully automated LaTeX document generation routine.
listings-ext: Automated input of source.
mkind-english: 
mkjobtexmf: Generate a texmf tree for a particular job.
patgen: 
pdfcrop: Crop PDF graphics.
pdftools: PDF-related utilities, including PostScript-to-PDF conversion
pkfix: Replace pk fonts in PostScript with Type 1 fonts.
pkfix-helper: Make PostScript files accessible to pkfix.
purifyeps: Make EPS work with both LaTeX/dvips and pdfLaTeX.
seetexk: Utiities for manipulating DVI files.
synctex: 
texcount: Count words in a LaTeX document.
texdiff: Compare documents and produce tagged merge.
texdirflatten: Collect files related to a LaTeX job in a single directory.
texdoc: Documentation access for TeX distributions.
texloganalyser: Analyse TeX logs.
texware: Utility programs for use with TeX.
tie: Allow multiple web change files.
tpic2pdftex: Use tpic commands in PDFTeX.
web: original web programs tangle and weave
xindy: A general-purpose index processor.

%package doc
Summary: TeX Live: Documentation files of %{name}
Group: Applications/Publishing
Requires: %{name} = %{version}-%{release}

%description doc
This package contains documentation files of %{name}.

%prep

%build

%install
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && %__rm -rf %{buildroot}

PREF=%{buildroot}%{tex_destdir}

manifest=(
texmf-dist/bibtex/csf/base/88591lat.csf
texmf-dist/bibtex/csf/base/88591sca.csf
texmf-dist/bibtex/csf/base/README.TEXLIVE
texmf-dist/bibtex/csf/base/ascii.csf
texmf-dist/bibtex/csf/base/cp437lat.csf
texmf-dist/bibtex/csf/base/cp850lat.csf
texmf-dist/bibtex/csf/base/cp850sca.csf
texmf-dist/bibtex/csf/base/cp866rus.csf
texmf-dist/bibtex/csf/base/csfile.txt
texmf-dist/bibtex/csf/polish-csf/88592pl.csf
texmf-dist/bibtex/csf/polish-csf/cp1250pl.csf
texmf-dist/bibtex/csf/polish-csf/cp852pl.csf
texmf-dist/bibtex/csf/polish-csf/iso8859-7.csf
texmf-dist/doc/plain/cweb/cwebman.dvi
texmf-dist/tex/plain/cweb/cwebmac.tex
texmf-dist/tex/plain/cweb/pdfXcwebmac.tex
texmf-dist/tex/plain/cweb/pdfcwebmac.tex
texmf-dist/tex/plain/cweb/pdfdcwebmac.tex
texmf-dist/tex/plain/cweb/pdffcwebmac.tex
texmf-dist/tex/plain/cweb/pdficwebmac.tex
texmf-dist/tex/plain/cweb/pdfwebmac.tex
texmf-dist/scripts/dviasm/dviasm.py
texmf-dist/doc/support/findhyph/Makefile
texmf-dist/doc/support/findhyph/README
texmf-dist/doc/support/findhyph/findhyph.bat
texmf-dist/doc/support/findhyph/findhyph.txt
texmf-dist/scripts/findhyph/findhyph
texmf-dist/doc/support/fragmaster/AUTHORS
texmf-dist/doc/support/fragmaster/COPYING
texmf-dist/doc/support/fragmaster/CREDITS
texmf-dist/doc/support/fragmaster/README
texmf-dist/doc/support/fragmaster/README.de
texmf-dist/doc/support/fragmaster/example/document.pdf
texmf-dist/doc/support/fragmaster/example/document.ps
texmf-dist/doc/support/fragmaster/example/document.tex
texmf-dist/doc/support/fragmaster/example/parabel.eps
texmf-dist/doc/support/fragmaster/example/parabel.pdf
texmf-dist/doc/support/fragmaster/example/parabel_fm
texmf-dist/doc/support/fragmaster/example/parabel_fm.eps
texmf-dist/doc/support/fragmaster/example/parabel_fm.gp
texmf-dist/doc/support/fragmaster/example/parabel_fm.pdf
texmf-dist/scripts/fragmaster/fragmaster.pl
texmf-dist/source/generic/hyphenex/GNUmakefile
texmf-dist/source/generic/hyphenex/README
texmf-dist/source/generic/hyphenex/hyphenex.pl
texmf-dist/source/generic/hyphenex/hyphenex.sh
texmf-dist/source/generic/hyphenex/tb0hyf.tex
texmf-dist/source/generic/hyphenex/test.tex
texmf-dist/tex/generic/hyphenex/ushyphex.tex
texmf-dist/doc/support/latex2man/CHANGES
texmf-dist/doc/support/latex2man/INSTALL
texmf-dist/doc/support/latex2man/Makefile
texmf-dist/doc/support/latex2man/README
texmf-dist/doc/support/latex2man/THIS-IS-VERSION-1.23
texmf-dist/doc/support/latex2man/latex2man.1
texmf-dist/doc/support/latex2man/latex2man.html
texmf-dist/doc/support/latex2man/latex2man.pdf
texmf-dist/doc/support/latex2man/latex2man.tex
texmf-dist/doc/support/latex2man/latex2man.texi
texmf-dist/doc/support/latex2man/latex2man.trans
texmf-dist/doc/support/latex2man/latex2man.txt
texmf-dist/scripts/latex2man/latex2man
texmf-dist/tex/latex/latex2man/latex2man.cfg
texmf-dist/tex/latex/latex2man/latex2man.sty
texmf-dist/doc/support/latexmk/CHANGES
texmf-dist/doc/support/latexmk/COPYING
texmf-dist/doc/support/latexmk/INSTALL
texmf-dist/doc/support/latexmk/README
texmf-dist/doc/support/latexmk/example_rcfiles/README
texmf-dist/doc/support/latexmk/example_rcfiles/pdflatexmkrc
texmf-dist/doc/support/latexmk/extra-scripts/README1
texmf-dist/doc/support/latexmk/extra-scripts/dvipdfm_call
texmf-dist/doc/support/latexmk/extra-scripts/dvipdfm_call.bat
texmf-dist/doc/support/latexmk/extra-scripts/dvipdfmx_call
texmf-dist/doc/support/latexmk/extra-scripts/dvipdfmx_call.bat
texmf-dist/doc/support/latexmk/extra-scripts/kickxdvi
texmf-dist/doc/support/latexmk/extra-scripts/l1
texmf-dist/doc/support/latexmk/extra-scripts/l2
texmf-dist/doc/support/latexmk/extra-scripts/pst2pdf_for_latexmk
texmf-dist/doc/support/latexmk/extra-scripts/pst2pdf_for_latexmk_README.txt
texmf-dist/doc/support/latexmk/extra-scripts/startacroread
texmf-dist/doc/support/latexmk/latexmk.1
texmf-dist/doc/support/latexmk/latexmk.bat
texmf-dist/doc/support/latexmk/latexmk.pdf
texmf-dist/doc/support/latexmk/latexmk.txt
texmf-dist/scripts/latexmk/latexmk.pl
texmf-dist/doc/latex/listings-ext/README
texmf-dist/doc/latex/listings-ext/THIS_IS_VERSION_v48
texmf-dist/doc/latex/listings-ext/getversion.tex
texmf-dist/doc/latex/listings-ext/hyperref.cfg
texmf-dist/doc/latex/listings-ext/listings-ext.bib
texmf-dist/doc/latex/listings-ext/listings-ext.el
texmf-dist/doc/latex/listings-ext/listings-ext.makemake
texmf-dist/doc/latex/listings-ext/listings-ext.mk
texmf-dist/doc/latex/listings-ext/listings-ext.pdf
texmf-dist/doc/latex/listings-ext/listings-ext_exmpl_a.java
texmf-dist/doc/latex/listings-ext/listings-ext_exmpl_b.java
texmf-dist/doc/latex/listings-ext/listings-ext_exmpl_c.java
texmf-dist/doc/latex/listings-ext/listings-ext_exmpl_d.java
texmf-dist/doc/latex/listings-ext/listings-ext_test_a.tex
texmf-dist/doc/latex/listings-ext/listings-ext_test_d.tex
texmf-dist/doc/latex/listings-ext/listings.cfg
texmf-dist/source/latex/listings-ext/listings-ext.dtx
texmf-dist/source/latex/listings-ext/listings-ext.ins
texmf-dist/scripts/listings-ext/listings-ext.sh
texmf-dist/tex/latex/listings-ext/listings-ext.sty
texmf-dist/makeindex/mkind-english/digit.ist
texmf-dist/makeindex/mkind-english/letter.ist
texmf-dist/makeindex/mkind-english/special.ist
texmf-dist/doc/generic/mkjobtexmf/README
texmf-dist/doc/generic/mkjobtexmf/mkjobtexmf.html
texmf-dist/doc/generic/mkjobtexmf/mkjobtexmf.ltx
texmf-dist/doc/generic/mkjobtexmf/mkjobtexmf.man
texmf-dist/doc/generic/mkjobtexmf/mkjobtexmf.pdf
texmf-dist/doc/generic/mkjobtexmf/mkjobtexmf.txt
texmf-dist/source/generic/mkjobtexmf/Makefile.in
texmf-dist/source/generic/mkjobtexmf/configure
texmf-dist/source/generic/mkjobtexmf/configure.ac
texmf-dist/source/generic/mkjobtexmf/install-sh
texmf-dist/scripts/mkjobtexmf/mkjobtexmf.pl
texmf-dist/doc/support/patgen/patgen2.tutorial
texmf-dist/doc/support/pdfcrop/README
texmf-dist/scripts/pdfcrop/pdfcrop.pl
texmf-dist/doc/support/pkfix/README
texmf-dist/scripts/pkfix/pkfix.pl
texmf-dist/doc/support/pkfix-helper/README
texmf-dist/doc/support/pkfix-helper/encoding-samples.pdf
texmf-dist/doc/support/pkfix-helper/encoding-samples.tex
texmf-dist/scripts/pkfix-helper/pkfix-helper
texmf-dist/doc/support/purifyeps/README
texmf-dist/scripts/purifyeps/purifyeps
texmf-dist/doc/support/texcount/QuickReference.pdf
texmf-dist/doc/support/texcount/QuickReference.tex
texmf-dist/doc/support/texcount/README
texmf-dist/doc/support/texcount/TeXcount.pdf
texmf-dist/doc/support/texcount/TeXcount.tex
texmf-dist/doc/support/texcount/macros.tex
texmf-dist/scripts/texcount/texcount.pl
texmf-dist/doc/support/texdiff/README
texmf-dist/scripts/texdiff/texdiff
texmf-dist/scripts/texdirflatten/texdirflatten
texmf-dist/doc/support/texloganalyser/README
texmf-dist/scripts/texloganalyser/texloganalyser
)

%__mkdir_p ${PREF}/texmf-dist
for i in "${manifest[@]}"; do 
    %__install -D %{texlive_src}/$i ${PREF}/$i
done

## info
%__rm -f %{buildroot}%{_infodir}/dir
%__gzip -9nf %{buildroot}%{_infodir}/*info* ||:

## man
## man t1* files are provided by t1utils
for i in t1ascii t1asm t1binary t1disasm t1mac t1unmac; do
    %__rm %{buildroot}%{_mandir}/man*/${i}.* ||:
done

## man some files are provided by psutils
for i in epsffit extractres fixdlsrps fixfmps fixmacps fixpsditps fixpspps fixscribeps fixtpps fixwfwps fixwpps fixwwps getafm includeres psbook psmerge psnup psresize psselect pstops; do
    %__rm %{buildroot}%{_mandir}/man*/${i}.* ||:
done

## fix perl path
for i in source/metapost/expressg/expressg.dtx \
         doc/metapost/expressg/n2mpsprl.prl \
         doc/latex/songbook/contrib/crd2sb/crd2sb; do 
    [ -f %{build_texmf}-dist/${i} ] && \
        %__sed -i -e "s|^#!/usr/local/bin/perl|#!%{__perl}|" %{build_texmf}-dist/${i}
done

## remove asymptote directries, which provides asymptote package
find %{buildroot} -regex ".*asymptote.*" | xargs %__rm -rf
# find %{buildroot} -name "Makefile" | xargs %__rm -f

# ## remove xindy
# find %{buildroot} -regex ".*xindy.*" | xargs %__rm -rf

# ## remove tex4ht
# find %{buildroot} -regex ".*tex4ht.*" | xargs %__rm -rf

## remove arch dependent binaries
%__rm -f %{build_texmf}-dist/source/latex/splitindex/splitindex-{OpenBSD,Linux}-i386

## remove unpackaging files
find %{buildroot} | %__grep -e "\.\(la\|a\)$" | xargs %__rm -f
find %{buildroot} | %__grep -e "\.\(diff\|patch\)$" | xargs %__rm -f

## Files list
find %{buildroot} -type f -or -type l | \
    %__sed -e "s|%{buildroot}||g" > filelist.full

find %{buildroot}%{texmf}-dist -type d | \
    %__sed -e "s|^%{buildroot}|%dir |" \
           -e "s|$|/|"             >> filelist.full

## subpackages
grep "/texmf-dist/doc/" filelist.full > filelist.doc
cat filelist.doc filelist.full | sort | uniq -u > filelist.tmp
%__mv -f filelist.tmp filelist.full

%clean
%__rm -rf %{buildroot}

%post
%{exec_texhash}

exit 0


%postun
if [ "$1" = 0 ]; then
    %{exec_texhash}

fi

exit 0

%files -f filelist.full
%defattr(-,root,root)

%files -f filelist.doc doc
%defattr(-,root,root)

%changelog
* Fri Jan 14 2011 Munehiro Yamamoto <munepi@vinelinux.org> 2009-3
- generated by tlpdb2rpmspec 2009-3: tlpdb2rpmspec collection-binextra
- improved %%post

* Fri Oct 01 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-2
- generated by tlpdb2rpmspec 2009-2: tlpdb2rpmspec collection-binextra
- removed arch dependent binaries (texlive-collection-latexextra)
- fixed perl path
- improved updmap process in %%post and %%postun

* Sat Aug 07 2010 Munehiro Yamamoto <munepi@vinelinux.org> 2009-1
- generated by tlpdb2rpmspec 2009-1: tlpdb2rpmspec collection-binextra
